V0 - List dimensions (externalId)
deprecated
Legacy (V0). This endpoint belongs to the legacy Admin API and is kept for existing integrations. For new integrations, use the Admin API v1 where it has an equivalent endpoint.
Lists all custom dimension definitions configured on the organization. Custom dimensions appear on expenses or expense reports as additional fields (free text or selectable lists). Only definitions whose lifecycle status is not DELETED are returned.
GET
/
organizations
/
externalid
/
{externalId}
/
customdimensions
/
V0 - List dimensions (externalId)
curl --request GET \
--url https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "5e1a8d1b3c4f4d2db8a6e1d7c2f5a3b9",
"definition": null,
"description": "Project",
"type": "CUSTOM",
"level": "EXPENSE",
"presetLocation": "NONE",
"controlType": "LIST_SEARCHABLE",
"userOverridable": true,
"externalSourceId": "project",
"useDateInterval": false,
"recipientId": null,
"useAsRecipientFilter": false,
"visibleIfNoPreset": true,
"hideDimensionValues": false,
"usedInCarbonFootprint": false,
"deviateOnCreditRow": false,
"deviatingCreditRowValue": null
}
]Authorizations
Response
200 - application/json
Custom dimension definitions for the organization, excluding any that have been deleted.
Last modified on November 19, 2026
Was this page helpful?
⌘I
V0 - List dimensions (externalId)
curl --request GET \
--url https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/externalid/{externalId}/customdimensions/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "5e1a8d1b3c4f4d2db8a6e1d7c2f5a3b9",
"definition": null,
"description": "Project",
"type": "CUSTOM",
"level": "EXPENSE",
"presetLocation": "NONE",
"controlType": "LIST_SEARCHABLE",
"userOverridable": true,
"externalSourceId": "project",
"useDateInterval": false,
"recipientId": null,
"useAsRecipientFilter": false,
"visibleIfNoPreset": true,
"hideDimensionValues": false,
"usedInCarbonFootprint": false,
"deviateOnCreditRow": false,
"deviatingCreditRowValue": null
}
]
